#!/usr/bin/env python3
import sys
import numpy as np
import matplotlib.pyplot as plt
import matplotlib

matplotlib.rcParams['mathtext.fontset'] = 'stix'
matplotlib.rcParams['font.family'] = 'STIXGeneral'



to=300


if len(sys.argv)!=3 :
  print ("wrong number of inputs")
  exit()



time_file_name = sys.argv[1]
flag=int(sys.argv[2])
time_file= open(time_file_name, "r")
times = time_file.read().split('\n')
outputname=time_file_name.split('.')[0]
print("generating plot " + outputname)
 
ax = plt.subplot(111)
plt.yscale("log")
plt.xscale("log")
plt.axis('equal')
plt.xlim(0.5,35)
plt.ylim(0.5,35)
plt.plot([30, 30], [0, 30],'k-', lw=0.5) 
plt.plot([0, 30], [30, 30],'k-', lw=0.5) 
 
 
for line in times[:-1]:
   l = line.split(' ')  
   x = float(l[1])
   y = float(l[2])
   col='green'
   mar='.'
   
   name = l[0].split('-')
   
   if name[1] != "cn" : 
     if name[0] == "bp" : 
       col='red'
       mar='x' 
   
     if x > 300 : x = 300.00
     if y > 300 : y = 300.00   

     plt.plot(x, y, col, marker = mar, fillstyle='none')
     
   if x > y : 
     print(l[0])


ax.spines['right'].set_visible(False)
ax.spines['top'].set_visible(False)
plt.plot([], [], 'green', marker = '.', fillstyle='none',label='AND-gates')
plt.plot([], [], 'red', marker = 'x', fillstyle='none',label='Booth encoding')

plt.legend(loc='upper left', bbox_to_anchor=(0, 0.965))

plt.plot([0, 30], [0, 30],'black',  lw=0.3)
#plt.title(outputname, fontsize=14)
if flag==1: 
 plt.xlabel("Generation time of NSS proofs in seconds", fontsize=14)
 plt.ylabel("Generation time of PAC proofs in seconds", fontsize=14)
if flag==2:
 plt.xlabel("Checking time of NSS proofs in seconds", fontsize=14)
 plt.ylabel("Checking time of PAC proofs in seconds", fontsize=14)
plt.tick_params(labelsize=12)
plt.grid()
plt.gca().set_aspect('equal', adjustable='box')
plt.savefig(outputname+".pdf", format="pdf", bbox_inches = 'tight', pad_inches = 0.1)
