#!/bin/sh
path="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $2}' ./benchmarks`"
name="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $3}' ./benchmarks`"
exec 1>"$name".log 2>"$name".err
msg () {
  echo "verify.sh: $*"
}
msg "path:     $path"
msg "name:     $name"
msg "task:     $SLURM_ARRAY_TASK_ID"
msg "host:     `hostname`"
msg "uname:    `uname -a`"
msg "start:    `date`"
msg "noturbo:  `show-turbo-mode-disabled.sh`"
msg "governor: `show-scaling-governors.sh |awk '{print $NF}'|sort|uniq -c|sed -e 's,^ *,,'`"
msg "tmp:      `df -m /tmp/|tail -1|awk '{print $(NF-1)}'`"
tmp=/tmp/verify-$$-$name
trap "rm -f $tmp*" 2 3 9 15
poly=${tmp}_${name}.polys
wit=${tmp}_${name}.pac
spec=${tmp}_${name}.spec
wcount=${name}_wc.log
rm -f $poly $wit $spec $wcount
msg "substitution"
time=300
space=64000


# verify aig ------------------------------------------------------

log=${name}_certify_aig.log
err=${name}_certify_aig.err
rm -f $log $err
/home/biere/bin/runlim \
  --single \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  ~/algprop/src/amulet/amulet -certify $path $poly $wit $spec 1>$log 2>$err
  
log=${name}_check_aig.log
err=${name}_check_aig.err
rm -f $log $err
/home/biere/bin/runlim \
  --single \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  ~/algprop/src/pacheck/pacheck $poly $wit $spec 1>$log 2>$err
  

wc ${tmp}_${name}* >> $wcount


rm -f $tmp*
msg "end:      `date`"
